develooper Front page | perl.module-authors | Postings from November 2018

Re: Perl 5.26 and the . in INC issue where modules won't install

Thread Previous
From:
Dan Book
Date:
November 1, 2018 16:17
Subject:
Re: Perl 5.26 and the . in INC issue where modules won't install
Message ID:
CABMkAVV+xTrH3hxNmZjRqAUS2LuyxYpaASdJwm-Z=dF2qeqjag@mail.gmail.com
You can always fork the module but then it requires the other modules to
use that fork instead. Another alternative is Alt:: (
http://metacpan.org/pod/Alt) but that's opt-in for the user and messy, and
may not work out with Carton. Getting the author to pass you maintainership
or adopting the module if the maintainers haven't responded after a few
weeks (after trying listed emails, bug reports) is the simplest way to get
the dist fixed.

-Dan

On Thu, Nov 1, 2018 at 11:37 AM Martin J. Evans <martin.evans@easysoft.com>
wrote:

> Hi Module Authors,
>
> Increasingly I am having problems with modules in Perl 5.26 and later
> which won't install because of the . not in @INC issue. Quite often it is
> not even the module I want to use but a requirement
>
> e.g., Cache::Memory requires File::NFSLock and File::NFSLock won't install
> on 5.26 because of @INC change.
>
> In the case of File::NFSLock, a patch was submitted back in Feb 2017 (
> https://rt.cpan.org/Public/Bug/Display.html?id=120088) but it has still
> not been applied. Other than ask to take over maintainership of
> File::NFSLock (and a number of other modules with the same problem) what
> can I do to get this fixed? Is there a way for a non maintainer to apply
> the patch and release a new version?
>
> The extra reason this is a pain is we are using Carton and so I believe to
> supply a hand crafted fixed module I'd have to have a web server somewhere,
> where I could place the patched module.
>
> Thanks
>
> Martin
>

Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About